Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Approval
  • Customer
  • Customer Request
  • Customer Transition
  • Jira Service Management Application
  • Organization
  • Organization Service Desk
  • Portals
  • Queue
  • Queue Settings
  • Request Attachment
  • Request Type
  • Request Type Permissions
  • Service Desk
  • Service Desk Customer
  • application-properties
  • applicationrole
  • attachment
  • avatar
  • cluster
  • comment
  • component
  • configuration
  • customFieldOption
  • customFields
  • dashboard
  • email-templates
  • field
  • filter
  • group
  • groups
  • groupuserpicker
  • index
  • index-snapshot
  • issue
  • issueLinkType
  • issuesecurityschemes
  • issuetype
  • issuetypescheme
  • jql
  • licenseValidator
  • monitoring
  • mypermissions
  • mypreferences
  • myself
  • notificationscheme
  • password
  • permissions
  • permissionscheme
  • priority
  • priorityschemes
  • project
  • projectCategory
  • projects
  • projectvalidate
  • reindex
  • resolution
  • role
  • screens
  • searchLimits
  • securitylevel
  • serverInfo
  • session
  • settings
  • status
  • statuscategory
  • terminology
  • universal_avatar
  • upgrade
  • user
  • version
  • websudo
  • workflow
  • workflowscheme
  • worklog
  • Assets - AQL
  • Assets - Analytics
  • Assets - Archived Objects
  • Assets - Attachments
  • Assets - Comments
  • Assets - Icons
  • Assets - Index Configuration
  • Assets - Object
  • Assets - Object Archive
  • Assets - Object Attribute
  • Assets - Object Connected Tickets
  • Assets - Object Restore
  • Assets - Object Schema
  • Assets - Object Type
  • Assets - Object Type Attribute
  • Assets - Progress
  • Assets - QR Code
  • Assets - Status Types
Server
Jira Service Management / Reference / REST API

searchLimits

Postman Collection
OpenAPI
GET

Get maximum aggregation buckets

Returns the maximum number of aggregation buckets allowed by the underlying search platform

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

Maximum aggregation buckets limit

application/json

integer

GET/api/2/searchLimits/maxAggregationBuckets
1 2 3 4 curl --request GET \ --url 'http://{baseurl}/rest/api/2/searchLimits/maxAggregationBuckets' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 10000
GET

Get maximum result window

Returns the maximum number of search results that can be returned by the underlying search platform

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

Maximum result window size

application/json

integer

GET/api/2/searchLimits/maxResultWindow
1 2 3 4 curl --request GET \ --url 'http://{baseurl}/rest/api/2/searchLimits/maxResultWindow' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 10000

Rate this page: